"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _jspdf = _interopRequireDefault(require("jspdf"));

require("jspdf-autotable");

var _reactExportTableToExcel = require("react-export-table-to-excel");

require("./Table.scss");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Data(_ref) {
  let {
    icerikx,
    filenamex,
    headerx,
    titlex
  } = _ref;
  const [icerik, setIcerik] = (0, _react.useState)(icerikx);
  const tableRef = (0, _react.useRef)(null);
  const [fetchx, setFetchx] = (0, _react.useState)(false);
  const {
    onDownload
  } = (0, _reactExportTableToExcel.useDownloadExcel)({
    currentTableRef: tableRef.current,
    filename: filenamex
  });
  (0, _react.useEffect)(() => {
    setFetchx(false);
  }, [fetchx]);
  console.log(filenamex);
  console.log(headerx);
  console.log(titlex);
  console.log(icerikx);
  console.log(icerik.tc);

  const exportPDF = () => {
    const unit = "pt";
    const size = "A4"; // Use A1, A2, A3 or A4

    const orientation = "portrait"; // portrait or landscape

    const marginLeft = 40;
    const doc = new _jspdf.default(orientation, unit, size);
    doc.setFontSize(15);
    const title = titlex;
    const headers = headerx;
    const data = icerik.map(elt => [elt.id, elt.name, elt.surname, elt.tc]);
    let content = {
      startY: 50,
      head: headers,
      body: data
    };
    doc.text(title, marginLeft, 40);
    doc.autoTable(content);
    doc.save("Toplantilar.pdf");
  };

  const editData = (id, name, surname, tc) => {
    localStorage.setItem('Name', name);
    localStorage.setItem('Surname', surname);
    localStorage.setItem('Id', id);
    localStorage.setItem("TC", tc);
  };

  const onChangeHandler = (gelenName, index) => {
    let icerikYeni = [...icerik];
    icerik[index].name = gelenName;
    setIcerik(icerikYeni);
  };

  const onChangeSurname = (gelenSurname, index) => {
    let icerikYeni = [...icerik];
    icerik[index].surname = gelenSurname;
    setIcerik(icerikYeni);
  };

  const onChangeTc = (gelenTC, index) => {
    let icerikYeni = [...icerik];
    icerik[index].tc = gelenTC;
    setIcerik(icerikYeni);
  };

  const deleteData = id => {
    var index = icerik.map(function (e) {
      return e.id;
    }).indexOf(id);
    icerik.splice(index, 1);
    setFetchx(true);
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "container"
  }, /*#__PURE__*/_react.default.createElement("table", {
    ref: tableRef
  }, /*#__PURE__*/_react.default.createElement("thead", null, /*#__PURE__*/_react.default.createElement("tr", null, /*#__PURE__*/_react.default.createElement("th", null, headerx[0][0]), /*#__PURE__*/_react.default.createElement("th", null, headerx[0][1]), /*#__PURE__*/_react.default.createElement("th", null, headerx[0][2]), /*#__PURE__*/_react.default.createElement("th", null, headerx[0][3]), /*#__PURE__*/_react.default.createElement("th", null, "Edit"), /*#__PURE__*/_react.default.createElement("th", null, "Delete"))), /*#__PURE__*/_react.default.createElement("tbody", null, icerik && icerik.length > 0 ? icerik.map((user, index) => /*#__PURE__*/_react.default.createElement("tr", {
    key: index
  }, /*#__PURE__*/_react.default.createElement("td", null, user.id), /*#__PURE__*/_react.default.createElement("td", null, /*#__PURE__*/_react.default.createElement("input", {
    style: {
      border: "none",
      textAlign: "justify"
    },
    value: user.name,
    onChange: e => onChangeHandler(e.target.value, index)
  })), /*#__PURE__*/_react.default.createElement("td", null, /*#__PURE__*/_react.default.createElement("input", {
    style: {
      border: "none",
      textAlign: "justify"
    },
    value: user.surname,
    onChange: e => onChangeSurname(e.target.value, index)
  })), /*#__PURE__*/_react.default.createElement("td", null, /*#__PURE__*/_react.default.createElement("input", {
    style: {
      border: "none",
      textAlign: "justify"
    },
    value: user.tc,
    onChange: e => onChangeTc(e.target.value, index)
  })), /*#__PURE__*/_react.default.createElement("td", null, /*#__PURE__*/_react.default.createElement("button", {
    onClick: () => editData(user.id, user.name, user.surname, user.tc)
  }, "G\xFCncelle")), /*#__PURE__*/_react.default.createElement("td", null, " ", /*#__PURE__*/_react.default.createElement("button", {
    onClick: () => deleteData(user.id)
  }, "Sil")))) : /*#__PURE__*/_react.default.createElement("h2", null, "Kay\u0131t Kalmam\u0131\u015Ft\u0131r"))), icerik.length > 0 ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("button", {
    className: "excelButton",
    onClick: onDownload
  }, "EXCELE D\xD6N\xDC\u015ET\xDCR"), /*#__PURE__*/_react.default.createElement("button", {
    className: "pdfButton",
    onClick: () => exportPDF()
  }, "PDFE D\xD6N\xDC\u015ET\xDCR")) : "PDF VEYA EXCEL OLUŞTURMAK İÇİN KAYIT BULUNMAMAKTADIR.");
}

var _default = Data;
exports.default = _default;