import React , {useRef , useState , useEffect} from 'react'
import jsPDF from "jspdf";
import "jspdf-autotable";
import { DownloadTableExcel ,useDownloadExcel } from 'react-export-table-to-excel';
import "./Table.scss"
function Data({icerikx,filenamex,headerx,titlex}) {
  const [icerik, setIcerik] = useState(icerikx)
  
  const tableRef = useRef(null);
  const[fetchx,setFetchx] = useState(false)
  const { onDownload } = useDownloadExcel({
    currentTableRef: tableRef.current,
    filename: filenamex
})
useEffect(() => {
  setFetchx(false)
 
}, [fetchx]);
  console.log(filenamex)
  console.log(headerx)
  console.log(titlex)
  console.log(icerikx)
  console.log(icerik.tc)


  const exportPDF = () => {
    const unit = "pt";
    const size = "A4"; // Use A1, A2, A3 or A4
    const orientation = "portrait"; // portrait or landscape

    const marginLeft = 40;
    const doc = new jsPDF(orientation, unit, size);

    doc.setFontSize(15);

    const title = titlex;
    const headers = headerx;

    const data = icerik.map(elt => [elt.id,elt.name,elt.surname,elt.tc]);

    let content = {
      startY: 50,
      head: headers,
      body: data
    };

    doc.text(title, marginLeft, 40);
    doc.autoTable(content);
    doc.save("Toplantilar.pdf")
  }

  const editData = (id,name,surname,tc)=>{

    localStorage.setItem('Name', name);
    localStorage.setItem('Surname', surname);
    localStorage.setItem('Id', id);
    localStorage.setItem("TC",tc)
    
  }

  const onChangeHandler = (gelenName, index) => {
    let icerikYeni = [...icerik];
    icerik[index].name = gelenName;
    setIcerik(icerikYeni)
  }

  const onChangeSurname = (gelenSurname, index) => {

    let icerikYeni = [...icerik];
    icerik[index].surname = gelenSurname;
    setIcerik(icerikYeni)
  }

  const onChangeTc = (gelenTC, index) => {

    let icerikYeni = [...icerik];
    icerik[index].tc = gelenTC;
    setIcerik(icerikYeni)
  }

  const deleteData = (id) =>{
    var index = icerik.map(function(e){
        return e.id
    }).indexOf(id);

    icerik.splice(index,1)
    setFetchx(true)
   

    
}


  return (
   <div className="container">
     <table ref={tableRef}>
      <thead>
        <tr>
          <th>{headerx[0][0]}</th>
          <th>{headerx[0][1]}</th>
          <th>{headerx[0][2]}</th>
          <th>{headerx[0][3]}</th>
          <th>Edit</th>
          <th>Delete</th>
         
        </tr>
      </thead>
      <tbody>
              {icerik && icerik.length >0 ?
              icerik.map((user, index) => <tr key={index}>
                <td>{user.id}</td>
                <td><input style={{border: "none" , textAlign:"justify" }} value={user.name} onChange={(e) => onChangeHandler(e.target.value, index)}></input></td>
                <td><input style ={{border:"none" , textAlign: "justify"}} value ={user.surname} onChange = {(e) => onChangeSurname(e.target.value , index)}></input></td>
                <td><input style ={{border:"none" , textAlign: "justify"}} value ={user.tc} onChange = {(e) => onChangeTc(e.target.value , index)}></input></td>
               <td><button onClick={()=>editData(user.id,user.name,user.surname,user.tc)}>Güncelle</button></td>
               <td> <button onClick= {()=> deleteData(user.id)}>Sil</button></td>
              </tr>
              )   :  <h2>Kayıt Kalmamıştır</h2>} 
       
            </tbody>
    </table>
    {icerik.length>0 ?
              <React.Fragment>
              <button className="excelButton" onClick = {onDownload}>EXCELE DÖNÜŞTÜR</button>
              <button className="pdfButton" onClick={()=>exportPDF()}>PDFE DÖNÜŞTÜR</button>
              </React.Fragment>
            :
          "PDF VEYA EXCEL OLUŞTURMAK İÇİN KAYIT BULUNMAMAKTADIR."
            } 
   </div>
  )
}

export default Data